Bug 11153 - freshen downloads packages it doesn't need
Summary: freshen downloads packages it doesn't need
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 6.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-01 19:37 UTC by Joshua Jensen
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-01 19:37:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joshua Jensen 2000-05-01 19:37:36 UTC
This is really a bandwidth bug.  Even if I have previously run rpm freshen
on my system against an updates ftp site... rpm will download *all* the
packages, even when it should be able to see that I already have updated
most of those packages.  If everyone had a T1 or an OC-3 connection, this
wouldn't be (much) of an issue.  But, rpm *should* be able to tell by
remote filename that I _already_ have that version of the pakcage on my
system.


Joshua Jensen

joshua@iwsp.com
joshua@redhat.com

Comment 1 Jeff Johnson 2000-07-24 19:56:21 UTC
There's a chicken-egg problem here, as rpm must download at least the header in
order
to find out the internal package name-version-release, file names, in general,
cannot be
used. In the future, other poilicies, such as permitting --freshen to update,
for example,
only signed packages, or only packages that do not containg file /bim/bang/boom,
are
going to be needed as well, and that information cannot be gleaned from the file
name
alone. However, I will try to limit the information transferred to simply the
header when
implementing those --freshen policies.


Note You need to log in before you can comment on or make changes to this bug.